Bug 468460 - ptlib is not multilib capable
ptlib is not multilib capable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ptlib (Show other bugs)
12
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
: 342981 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 16:22 EDT by Philippe Troin
Modified: 2010-12-05 02:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:06:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2008-10-24 16:22:08 EDT
Description of problem:
If both ptlib-devel-2.4.2-1.fc10.i386 and ptlib-devel-2.4.2-1.fc10.i386 are installed, the file /usr/include/ptbuildopts.h is will be different depending on the order the libraries will be installed.

If you extract the -devel packages and diff their /usr/include directories, you'll get:
diff -ru 1/usr/include/ptbuildopts.h 2/usr/include/ptbuildopts.h
--- 1/usr/include/ptbuildopts.h 2008-10-24 13:14:27.000000000 -0700
+++ 2/usr/include/ptbuildopts.h 2008-10-24 13:14:33.000000000 -0700
@@ -511,7 +511,7 @@
 
 #define P_DYNALINK 1
 #define P_PLUGINS 1
-#define P_DEFAULT_PLUGIN_DIR "/usr/lib/ptlib-2.4.2"
+#define P_DEFAULT_PLUGIN_DIR "/usr/lib64/ptlib-2.4.2"
 
 /////////////////////////////////////////////////
 //
@@ -683,7 +683,7 @@
 #define    PTLIB_BUILD 2
 #define    PTLIB_VERSION "2.4.2"
 
-/* #undef    P_64BIT */
+#define    P_64BIT 1
 /* #undef    P_LPIA */
 /* #undef    PNO_LONG_DOUBLE */
 #define    P_HAS_POSIX_READDIR_R 3

Phil.
Comment 1 Peter Robinson 2008-10-25 04:30:33 EDT
Is there a recommended Fedora or upstream way to fix this?
Comment 2 Peter Robinson 2008-10-30 16:58:34 EDT
*** Bug 342981 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2008-11-25 23:13:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Peter Robinson 2009-01-09 03:06:07 EST
Reported upstream
Comment 5 Philippe Troin 2009-06-27 19:50:27 EDT
Still present in F11 with ptlib-devel-2.6.2-2.fc11:

Transaction Check Error:
  file /usr/include/ptbuildopts.h conflicts between attempted installs of ptlib-devel-2.6.2-2.fc11.x86_64 and ptlib-devel-2.6.2-2.fc11.i586
  file /usr/share/ptlib/make/ptbuildopts.mak conflicts between attempted installs of ptlib-devel-2.6.2-2.fc11.x86_64 and ptlib-devel-2.6.2-2.fc11.i586
  file /usr/share/ptlib/make/ptlib-config conflicts between attempted installs of ptlib-devel-2.6.2-2.fc11.x86_64 and ptlib-devel-2.6.2-2.fc11.i586
Comment 6 Philippe Troin 2009-07-23 16:40:43 EDT
Still present in ptlib-devel-2.6.4-2.fc11.
Comment 7 Philippe Troin 2010-02-15 17:28:47 EST
Still present in F12 with ptlib-devel-2.6.5-1.fc12.i686.
Comment 8 Bug Zapper 2010-11-04 07:44:24 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-05 02:06:59 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.